Skip to main content
`Ctrl`+`K`

# PCGetOperatorsSet

Determines if the matrix associated with the linear system and possibly a different one associated with the preconditioner have been set in the `PC`.

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCGetOperatorsSet(PC pc, PetscBool *mat, PetscBool *pmat)

Not Collective, though the results on all processes should be the same

## Input Parameter

- pc - the `PC` preconditioner context

## Output Parameters

- mat - the matrix associated with the linear system was set

- pmat - matrix associated with the preconditioner was set, usually the same

## See Also

KSP: Linear System Solvers, `PC`, `PCSetOperators()`, `KSPGetOperators()`, `KSPSetOperators()`, `PCGetOperators()`

## Level

intermediate

## Location

src/ksp/pc/interface/precon.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages